import { TestResult } from './lcat';

export type AverageScoreprops = {
  score: number;
};

export type SampleResult = {
  text: string;
  score: number;
};

export type FinalReportProps = {
  handleNextQuestion: VoidFunction;
  level: string | string[] | undefined;
  sampleResult: SampleResult[];
  phonesResult?: Record<string, PhoneResult>;
  ieltsResult: TestResult[];
  pteResult: TestResult[];
};

export type PhoneResult = {
  word: string;
  total_score: number;
  occurence: number;
};

export type averageScorePhones = {
  label: string;
  word: string;
  average_score: number;
};

export type WordScore = {
  word: string;
  score: number;
};
