import { render, screen } from '@testing-library/react';
import FeatureCard from '../../components/FeatureCard';

describe('FeatureCard', () => {
  it('should render without crashing', async () => {
    render(
      <FeatureCard
        title="Pronunciation API"
        description="Amet minim mollit non deserunt ullamco est sit aliqua dolor do amet sint."
        image="/images/feature.png"
      />
    );

    expect(screen.getByText('Pronunciation API')).toBeInTheDocument();
    expect(
      screen.getByText('Amet minim mollit non deserunt ullamco est sit aliqua dolor do amet sint.')
    ).toBeInTheDocument();
    expect(screen.getByRole('button')).toBeVisible();
  });
});
