import { Backdrop, CircularProgress } from '@mui/material';

type LoadingBackdropProps = {
  isLoading: boolean;
};

export default function LoadingBackdrop({ isLoading }: LoadingBackdropProps) {
  return (
    <Backdrop sx={{ zIndex: '99999' }} open={isLoading}>
      <CircularProgress color="primary" size={100} />
    </Backdrop>
  );
}
