import { render, screen } from '@testing-library/react';
import Breadcrumb from '../../components/Breadcrumb';

describe('Breadcrumb', () => {
  it('should render without crashing', () => {
    const mockBreadCrumbs = [
      {
        title: 'Test routes',
        location: '/test-routes',
        disabled: false,
      },
    ];
    render(Breadcrumb(mockBreadCrumbs));

    expect(screen.getByText('Test routes')).toBeInTheDocument();
  });
});
