// @mui
import { Box } from '@mui/material';
import { styled } from '@mui/material/styles';
// logo
import Image from 'next/image';
import Logo from 'public/images/logo-white-horizontal.png';

const HeaderStyle = styled(Box)(() => ({
  backgroundColor: '#3BA09E',
  minHeight: '70px',
  width: '100%',
  margin: '0px',
  padding: '0px clamp(20px, 8%, 90px)',
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'space-between',
}));

export default function Header() {
  return (
    <HeaderStyle>
      <Image src={Logo} width={183} height={30} alt="Logo" />
    </HeaderStyle>
  );
}
