export const setStyleForScore = (score: number) => {
  if (score >= 0 && score < 33) {
    return { backgroundColor: 'rgba(240, 119, 109, 0.2)', color: '#F0776D' };
  } else if (score >= 33 && score < 67) {
    return { backgroundColor: 'rgba(244, 227, 181, 0.2)', color: '#F2BF3B' };
  } else {
    return { backgroundColor: 'rgba(132, 186, 116, 0.2)', color: '#599F44' };
  }
};

export const setColor = (score: number) => {
  if (score >= 0 && score < 33) {
    return '#F0776D';
  } else if (score >= 33 && score < 67) {
    return '#F2BF3B';
  } else {
    return '#599F44';
  }
};
